Bug 500255 - need a utility to generate encrypted passwords to stdout
need a utility to generate encrypted passwords to stdout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 18:13 EDT by James Ralston
Modified: 2011-06-03 20:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-03 20:55:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Ralston 2009-05-11 18:13:15 EDT
The chpasswd(8) utility, included in crypt-utils, can be used to change passwords en masse.

However, the crypt-utils package does not include any program to simply GENERATE new encrypted shadow entries.

We need a utility something like this:

$ genshadowp -c MD5
examplepassword
mysalt
^D
$1$mysalt$ASu1BY1lEgAhHy08yowJD/

$ genshadowp -c MD5
examplepassword
^D
$1$pgVR5ZPM$Uw/uyKxLGli5W9CkKgZd..

In other words, this utility should read two lines from STDIN. The first line is the password; the second line is the salt. If no salt is supplied (e.g., EOF is encountered after reading the first line, a salt a generated randomly.

The utility should then print the corresponding sp_pwdp field on STDOUT.

The reason why chpasswd(8) cannot be used is because we are *not* updating the /etc/shadow file on the local host; rather, we are generate a new sp_pwdp field that will be distributed to many, many hosts via other mechanisms. The ability to specify a salt would be useful to verify existing passwords.

Adding this functionality to chpasswd(8) might make more sense than creating a separate program to do this; I'm not sure.
Comment 1 Bug Zapper 2009-11-18 06:56:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 James Ralston 2009-12-01 12:30:10 EST
Changing version to 'rawhide', as this issue has never been addressed.
Comment 3 Bug Zapper 2010-03-15 08:36:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-02 14:05:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 James Ralston 2011-06-03 20:55:44 EDT
Closing, as there's clearly no interest in this. If I write something else, I'll send it upstream.

Note You need to log in before you can comment on or make changes to this bug.